## Website

The Linux website is available at the following URL: <https://linux.cern.ch>

## CERN Documentation

The website contains all the end-user documentation, and we will extensively use it for the exercices during this tutorial.

It contains up-to-date information about the lifecycle of distributions at CERN and the future plans.

 * [SLC6 (Scientific Linux CERN 6)](https://linux.web.cern.ch/linux/scientific6/)
 * [CC7 (CERN CentOS 7)](https://linux.web.cern.ch/linux/centos7/)
 * [C8 (CentOS 8)](https://linux.web.cern.ch/linux/centos8/)

[Weekly updates](https://linux.web.cern.ch/linux/) are documented with links to relevant Red Hat reports if available.

## Red Hat documentation

Since the CentOS distribution is based on RHEL (Red Hat Entreprise Linux), it is very similar to it and Red Hat documentation is very relevant.

Red Hat provides documentation for every released product :

 * [RHEL6](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/)
 * [RHEL7](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/)
 * [RHEL8](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/)

The Red Hat documentation is very useful to deep dive in specific parts of the system and is very well organised around topics (Installation, System administration, tuning, etc...)

## Linux support tools / open source tools

All published work is available under our Gitlab organisation: <https://gitlab.cern.ch/linuxsupport>. Do not hesitate to contribute.
