# Installation at CERN

## Network database

To be able to install and use a system at CERN you need to first register it in the network database, also called LanDB:

Open <https://network.cern.ch>

Check if your machine is registered:

  * Click on 'View the registered information about a device'
  * Enter your device name or IP or MAC address
  * Check if the field 'Operating System' is set to 'Linux'

## Standard CC7 installation

In this section a CC7 installation will be performed from the network following the [official documentation](http://linux.web.cern.ch/linux/centos7/docs/install.shtml).

## Kickstart CC7 installation

Next section will guide through aims2 and a unattended kickstart installation of a VM. This is a more advanced usecase and requires understanding of tools such as Anaconda Kickstart, PXE booting, etc.
