# Docker

## Installation on CC7

```
yum install docker-latest
systemctl enable docker-latest # Enable at boot time
systemctl start docker-latest
```

## Usage with CERN image

Run a container with bash:
```
docker run -it cern/cc7-base bash
```

Run and detach a container
```
$ docker run -it -d cern/cc7-base bash
29ce8fd9a414e43793b9b1c5989c623a19aacb5a052a3823aed5b5548a6d5a7f
```

Re-attach to your container
```
docker attach 29ce8fd9a414e43793b9b1c5989c623a19aacb5a052a3823aed5b5548a6d5a7f # ctrl p + ctrl q
```

## Check logs

Check logs
```
docker logs 29ce8fd9a414e43793b9b1c5989c623a19aacb5a052a3823aed5b5548a6d5a7f # ctrl p + ctrl q
```

## Check running containers

```
docker ps
```
